\begindata

    PATH_VALUES = (
                    './missions/Hayabusa/kernels/ck',
                    './missions/Hayabusa/kernels/fk',
                    './missions/Hayabusa/kernels/ik',
                    './missions/Hayabusa/kernels/lsk',
                    './missions/Hayabusa/kernels/pck',
                    './missions/Hayabusa/kernels/sclk',
                    './missions/Hayabusa/kernels/spk'
                  )

    PATH_SYMBOLS = (
                     'CK',
                     'FK',
                     'IK',
                     'LSK',
                     'PCK',
                     'SCLK',
                     'SPK'
                   )

    KERNELS_TO_LOAD = (
                        '$LSK/naif0009.tls',

						'$SCLK/hayabusa.tsc',

						'$PCK/pck00008.tpc',
						'$PCK/itokawa_gaskell_n3.tpc',

						'$FK/hayabusa_hp.tf',
                        '$FK/itokawa_fixed.tf',

						'$IK/amica31.ti',

                        '$SPK/de403s.bsp',
						'$SPK/sb_25143_140.bsp',
                        '$SPK/itokawa_1989_2010.bsp',
                        '$SPK/hay_osbj_050911_051118_v1n.bsp',

                        '$CK/hayabusa_itokawarendezvous_v02n.bc'
                      )

    \begintext

    Notes:
    ------
    CK   -> Attitude of the spacecraft
    FK   -> Reference frame specification
    IK   -> Instrument field-of-view size, shape and orientation
    LSK  -> Leapseconds tabulation
    PCK  -> Target body size, shape and orientation
    SCLK -> Spacecraft clock coefficients
    SPK  -> Space vehicle or target body trajectory (ephemeris)
